curl --request GET \
--url https://api.tread-horizon.com/v1/companies/{company-id}/settlements/{settlement-id}/settlement_email_deliveries \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "jsmith@example.com",
"sender_user": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"first_name": "<string>",
"last_name": "<string>",
"discarded_at": "2023-11-07T05:31:56Z",
"company": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tread_id": "ABC123",
"legal_name": "<string>",
"company_type": "hauler"
}
},
"settlement_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"state": "initiated",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}Get SettlementEmailDeliveries for a Settlement as a Company
curl --request GET \
--url https://api.tread-horizon.com/v1/companies/{company-id}/settlements/{settlement-id}/settlement_email_deliveries \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "jsmith@example.com",
"sender_user": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"first_name": "<string>",
"last_name": "<string>",
"discarded_at": "2023-11-07T05:31:56Z",
"company": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tread_id": "ABC123",
"legal_name": "<string>",
"company_type": "hauler"
}
},
"settlement_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"state": "initiated",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}Documentation Index
Fetch the complete documentation index at: https://docs.tread.ai/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The Accept-Language request HTTP header indicates the natural language and locale that the client prefers.
"en"
The maximum number of paginated results to return
x <= 100The cursor to start paginating after
The cursor to stop paginating at
OK
Show child attributes